Summary:	Graphical frontend for systemd
Summary(pl.UTF-8):	Graficzny interfejs do systemd
Name:		systemd-ui
Version:	3
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.freedesktop.org/software/systemd/%{name}-%{version}.tar.xz
# Source0-md5:	8e075c41f89a2888deee4ec3a8e75806
URL:		http://www.freedesktop.org/wiki/Software/systemd
BuildRequires:	dbus-devel >= 1.3.2
BuildRequires:	desktop-file-utils
BuildRequires:	glib2-devel >= 1:2.26.1
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	libgee-devel >= 0.8
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
# not required for building from release (which contains *.c for *.vala)
#BuildRequires:	vala >= 0.11
Requires:	dbus(org.freedesktop.Notifications)
Requires:	glib2 >= 1:2.26.1
Requires:	libgee >= 0.8
Requires:	polkit
Obsoletes:	systemd-gtk < 44-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphical front-end for systemd. It provides a simple user interface
to manage services, and a graphical agent to request passwords from
the user.

%description -l pl.UTF-8
Graficzny frontend do systemd. Udostępnia prosty interfejs użytkownika
do zarządzania usługami oraz graficznego agenta do pytania
użytkowników o hasła.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Categories not ; terminated, this fixes it :)
desktop-file-install --delete-original  \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/systemadm.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/systemadm
%attr(755,root,root) %{_bindir}/systemd-gnome-ask-password-agent
%{_mandir}/man1/systemadm.1*
%{_desktopdir}/systemadm.desktop
%changelog
* Tue Feb 11 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/systemd-ui.git;a=log;h=master

* Sun Feb 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 0dc6a8a
- updated to 3

* Wed Apr 03 2013 Jakub Bogusz <qboosh@pld-linux.org> d97c78b
- updated to 2

* Sat Jun 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 0ac18da
- pl
- package README

* Thu Mar 22 2012 Elan Ruusamäe <glen@pld-linux.org> 0df258f
- vala is gtk dep

* Thu Mar 22 2012 Elan Ruusamäe <glen@pld-linux.org> 733420a
- virtual dbus(org.freedesktop.Notifications)

* Thu Mar 22 2012 Elan Ruusamäe <glen@pld-linux.org> 1de5c35
- new, split off from main systemd

